Update a task
curl --request POST \
--url 'https://api.vida.dev/api/v2/tasks/{taskId}?token=' \
--header 'Content-Type: application/json' \
--data '
{
"state": "paused",
"title": "<string>",
"context": "<string>",
"taskContext": "Review the last complete hour and report material changes",
"cronSchedule": {},
"greeting": "<string>",
"waitToGreet": true,
"message": "<string>",
"scheduledFor": 123,
"externalTaskId": "<string>",
"meta": {}
}
'import requests
url = "https://api.vida.dev/api/v2/tasks/{taskId}?token="
payload = {
"state": "paused",
"title": "<string>",
"context": "<string>",
"taskContext": "Review the last complete hour and report material changes",
"cronSchedule": {},
"greeting": "<string>",
"waitToGreet": True,
"message": "<string>",
"scheduledFor": 123,
"externalTaskId": "<string>",
"meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
state: 'paused',
title: '<string>',
context: '<string>',
taskContext: 'Review the last complete hour and report material changes',
cronSchedule: {},
greeting: '<string>',
waitToGreet: true,
message: '<string>',
scheduledFor: 123,
externalTaskId: '<string>',
meta: {}
})
};
fetch('https://api.vida.dev/api/v2/tasks/{taskId}?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tasks
Update a task
Updates a Task by ID. Repeating and cronOneOff Tasks support title, taskContext, state, and cronSchedule. Computer Tasks and retryable communication Tasks can only be canceled.
POST
/
api
/
v2
/
tasks
/
{taskId}
Update a task
Authorizations
Vida API Token
Path Parameters
Task ID
Query Parameters
Require the Task to belong to this agent account in the organization
Body
application/json
Repeating and cronOneOff Tasks accept active or paused
Example:
"paused"
Contact/background context for communication Tasks
Instructions for a repeating or cronOneOff Task
Example:
"Review the last complete hour and report material changes"
Schedule for a repeating or cronOneOff Task
Example:
true
Response
Task updated successfully
⌘I